#global bootstrap 1

%if !0%{?bootstrap}
%global docs 1
%global tests 1
%endif

Summary: Additional modules for CMake build system
Name:    extra-cmake-modules
Version: 5.110.0
Release: 1%{?dist}
License: BSD
URL:     https://api.kde.org/ecm/

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{name}-%{version}.tar.xz
BuildArch:      noarch

Patch3000: extra-cmake-modules-5.39.0-poppler_overlinking.patch
Patch3001: extra-cmake-modules-5.89.0-qt_prefix.patch

BuildRequires: kf5-rpm-macros
BuildRequires: make
BuildRequires: qt5-qttools-devel
BuildRequires: python3-sphinx

Requires: kf5-rpm-macros
Recommends: appstream

%description
Additional modules for CMake build system needed by KDE Frameworks.


%prep
%autosetup -p1 %{?clang:-a1}


%build
%global sphinx_build -DSphinx_BUILD_EXECUTABLE:PATH=%{_bindir}/sphinx-build-3

%if 0%{?clang}
PYTHONPATH=`pwd`/python
export PYTHONPATH
%endif

%cmake_kf5 \
  -DBUILD_HTML_DOCS:BOOL=%{?docs:ON}%{!?docs:OFF} \
  -DBUILD_MAN_DOCS:BOOL=%{?docs:ON}%{!?docs:OFF} \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF} \
  %{?sphinx_build}

%cmake_build


%install
%cmake_install

%if 0%{?clang}
mkdir -p %{buildroot}%{_datadir}/ECM/python/clang
install -m644 -p python/clang/* %{buildroot}%{_datadir}/ECM/python/clang/
%endif


%check
%if 0%{?tests}
%if 0%{?clang}
PYTHONPATH=`pwd`/python
export PYTHONPATH
%endif
export CTEST_OUTPUT_ON_FAILURE=1
make test ARGS="--output-on-failure --timeout 300" -C %{_target_platform} ||:
%endif


%files
%license LICENSES/*.txt
%doc README.rst
%{_datadir}/ECM/
%if 0%{?docs}
%{_kf5_docdir}/ECM/html/
%{_kf5_mandir}/man7/ecm*.7*
%endif


%changelog
* Sun Oct 22 2023 Chair <chairou@tencent.com> - 5.110.0-1
- rebuilt
